<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.util (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.util (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ss/util/cellwalk/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../org/apache/poi/wp/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/package-summary.html" target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.util</h1>
    <div class="docSummary">
        <div class="block">Top-level util package are classes that are useful throughout the project.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/DelayableLittleEndianOutput.html"
                                            title="interface in org.apache.poi.util">DelayableLittleEndianOutput</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Implementors of this interface allow client code to 'delay' writing to a
                            certain section of a
                            data output stream.<br>
                            A typical application is for writing BIFF records when the size is not known until well
                            after
                            the header has been written.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/FixedField.html"
                                            title="interface in org.apache.poi.util">FixedField</a></td>
                    <td class="colLast">
                        <div class="block">behavior of a field at a fixed location within a byte array</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianConsts.html"
                                            title="interface in org.apache.poi.util">LittleEndianConsts</a></td>
                    <td class="colLast">
                        <div class="block">a repository for constants shared by classes within this package</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                            title="interface in org.apache.poi.util">LittleEndianInput</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianOutput.html"
                                            title="interface in org.apache.poi.util">LittleEndianOutput</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/TempFileCreationStrategy.html"
                                            title="interface in org.apache.poi.util">TempFileCreationStrategy</a></td>
                    <td class="colLast">
                        <div class="block">Interface used by the <a href="../../../../org/apache/poi/util/TempFile.html"
                                                                    title="class in org.apache.poi.util"><code>TempFile</code></a>
                            utility class to create temporary files.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/ArrayUtil.html"
                                            title="class in org.apache.poi.util">ArrayUtil</a></td>
                    <td class="colLast">
                        <div class="block">Utility classes for dealing with arrays.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/BitField.html"
                                            title="class in org.apache.poi.util">BitField</a></td>
                    <td class="colLast">
                        <div class="block">Manage operations dealing with bit-mapped fields.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/BitFieldFactory.html"
                                            title="class in org.apache.poi.util">BitFieldFactory</a></td>
                    <td class="colLast">
                        <div class="block">Returns immutable Bitfield instances.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/BoundedInputStream.html"
                                            title="class in org.apache.poi.util">BoundedInputStream</a></td>
                    <td class="colLast">
                        <div class="block">This is a stream that will only supply bytes up to a certain length - if its
                            position goes above that, it will stop.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/ByteField.html"
                                            title="class in org.apache.poi.util">ByteField</a></td>
                    <td class="colLast">
                        <div class="block">representation of a byte (8-bit) field at a fixed location within a
                            byte array
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/CloseIgnoringInputStream.html"
                                            title="class in org.apache.poi.util">CloseIgnoringInputStream</a></td>
                    <td class="colLast">
                        <div class="block">A wrapper around an <code>InputStream</code>, which
                            ignores close requests made to it.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/CodePageUtil.html"
                                            title="class in org.apache.poi.util">CodePageUtil</a></td>
                    <td class="colLast">
                        <div class="block">Utilities for working with Microsoft CodePages.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/CommonsLogger.html"
                                            title="class in org.apache.poi.util">CommonsLogger</a></td>
                    <td class="colLast">
                        <div class="block">A logger class that strives to make it as easy as possible for
                            developers to write log calls, while simultaneously making those
                            calls as cheap as possible by performing lazy evaluation of the log
                            message.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/Configurator.html"
                                            title="class in org.apache.poi.util">Configurator</a></td>
                    <td class="colLast">
                        <div class="block">Helper for fetching int values from system properties</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/DefaultTempFileCreationStrategy.html"
                                            title="class in org.apache.poi.util">DefaultTempFileCreationStrategy</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Default implementation of the <a
                                href="../../../../org/apache/poi/util/TempFileCreationStrategy.html"
                                title="interface in org.apache.poi.util"><code>TempFileCreationStrategy</code></a> used
                            by <a href="../../../../org/apache/poi/util/TempFile.html"
                                  title="class in org.apache.poi.util"><code>TempFile</code></a>:
                            Files are collected into one directory and by default are deleted on exit from the VM.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/DrawingDump.html"
                                            title="class in org.apache.poi.util">DrawingDump</a></td>
                    <td class="colLast">
                        <div class="block">Dump out the aggregated escher records</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/FontMetricsDumper.html"
                                            title="class in org.apache.poi.util">FontMetricsDumper</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/HexDump.html"
                                            title="class in org.apache.poi.util">HexDump</a></td>
                    <td class="colLast">
                        <div class="block">dump data in hexadecimal format</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/HexRead.html"
                                            title="class in org.apache.poi.util">HexRead</a></td>
                    <td class="colLast">
                        <div class="block">Utilities to read hex from files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/IntegerField.html"
                                            title="class in org.apache.poi.util">IntegerField</a></td>
                    <td class="colLast">
                        <div class="block">representation of an integer (32-bit) field at a fixed location
                            within a byte array
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/IntList.html"
                                            title="class in org.apache.poi.util">IntList</a></td>
                    <td class="colLast">
                        <div class="block">A List of int's; as full an implementation of the java.util.List
                            interface as possible, with an eye toward minimal creation of
                            objects

                            the mimicry of List is as follows:

                            if possible, operations designated 'optional' in the List
                            interface are attempted
                            wherever the List interface refers to an Object, substitute
                            int
                            wherever the List interface refers to a Collection or List,
                            substitute IntList


                            the mimicry is not perfect, however:

                            operations involving Iterators or ListIterators are not
                            supported
                            remove(Object) becomes removeValue to distinguish it from
                            remove(int index)
                            subList is not supported
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/IntMapper.html"
                                            title="class in org.apache.poi.util">IntMapper</a>&lt;T&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">A List of objects that are indexed AND keyed by an int; also allows for
                            getting
                            the index of a value in the list
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/IOUtils.html"
                                            title="class in org.apache.poi.util">IOUtils</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/JvmBugs.html"
                                            title="class in org.apache.poi.util">JvmBugs</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndian.html"
                                            title="class in org.apache.poi.util">LittleEndian</a></td>
                    <td class="colLast">
                        <div class="block">a utility class for handling little-endian numbers, which the 80x86 world is
                            replete with.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                            title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Adapts a plain byte array to <a
                                href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                title="interface in org.apache.poi.util"><code>LittleEndianInput</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../org/apache/poi/util/LittleEndianByteArrayOutputStream.html"
                            title="class in org.apache.poi.util">LittleEndianByteArrayOutputStream</a></td>
                    <td class="colLast">
                        <div class="block">Adapts a plain byte array to <a
                                href="../../../../org/apache/poi/util/LittleEndianOutput.html"
                                title="interface in org.apache.poi.util"><code>LittleEndianOutput</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianCP950Reader.html"
                                            title="class in org.apache.poi.util">LittleEndianCP950Reader</a></td>
                    <td class="colLast">
                        <div class="block">Stream that converts CP950 (MSOffice's dialect of Big5), with
                            zero-byte padding for ASCII and in LittleEndianOrder.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                            title="class in org.apache.poi.util">LittleEndianInputStream</a></td>
                    <td class="colLast">
                        <div class="block">Wraps an <code>InputStream</code> providing <a
                                href="../../../../org/apache/poi/util/LittleEndianInput.html"
                                title="interface in org.apache.poi.util"><code>LittleEndianInput</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LittleEndianOutputStream.html"
                                            title="class in org.apache.poi.util">LittleEndianOutputStream</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LocaleUtil.html"
                                            title="class in org.apache.poi.util">LocaleUtil</a></td>
                    <td class="colLast">
                        <div class="block">This utility class is used to set locale and time zone settings beside
                            of the JDK internal <code>Locale.setDefault(Locale)</code> and
                            <code>TimeZone.setDefault(TimeZone)</code> methods, because
                            the locale/time zone specific handling of certain office documents -
                            maybe for different time zones / locales ...
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LongField.html"
                                            title="class in org.apache.poi.util">LongField</a></td>
                    <td class="colLast">
                        <div class="block">representation of a long (16-bit) field at a fixed location within
                            a byte array
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/LZWDecompresser.html"
                                            title="class in org.apache.poi.util">LZWDecompresser</a></td>
                    <td class="colLast">
                        <div class="block">This class provides common functionality for the
                            various LZW implementations in the different file
                            formats.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/NullLogger.html"
                                            title="class in org.apache.poi.util">NullLogger</a></td>
                    <td class="colLast">
                        <div class="block">A logger class that strives to make it as easy as possible for
                            developers to write log calls, while simultaneously making those
                            calls as cheap as possible by performing lazy evaluation of the log
                            message.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/PngUtils.html"
                                            title="class in org.apache.poi.util">PngUtils</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/POILogFactory.html"
                                            title="class in org.apache.poi.util">POILogFactory</a></td>
                    <td class="colLast">
                        <div class="block">Provides logging without clients having to mess with
                            configuration/initialization.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/POILogger.html"
                                            title="class in org.apache.poi.util">POILogger</a></td>
                    <td class="colLast">
                        <div class="block">A logger interface that strives to make it as easy as possible for
                            developers to write log calls, while simultaneously making those
                            calls as cheap as possible by performing lazy evaluation of the log
                            message.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/ReplacingInputStream.html"
                                            title="class in org.apache.poi.util">ReplacingInputStream</a></td>
                    <td class="colLast">
                        <div class="block">Simple FilterInputStream that can replace occurrences of bytes with something
                            else.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/RLEDecompressingInputStream.html"
                                            title="class in org.apache.poi.util">RLEDecompressingInputStream</a></td>
                    <td class="colLast">
                        <div class="block">Wrapper of InputStream which provides Run Length Encoding (RLE)
                            decompression on the fly.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/ShortField.html"
                                            title="class in org.apache.poi.util">ShortField</a></td>
                    <td class="colLast">
                        <div class="block">representation of a short (16-bit) field at a fixed location within
                            a byte array
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/StaxHelper.html"
                                            title="class in org.apache.poi.util">StaxHelper</a></td>
                    <td class="colLast">
                        <div class="block">Provides handy methods for working with StAX parsers and readers</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/StringCodepointsIterable.html"
                                            title="class in org.apache.poi.util">StringCodepointsIterable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/StringUtil.html"
                                            title="class in org.apache.poi.util">StringUtil</a></td>
                    <td class="colLast">
                        <div class="block">Collection of string handling utilities</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/StringUtil.StringsIterator.html"
                                            title="class in org.apache.poi.util">StringUtil.StringsIterator</a></td>
                    <td class="colLast">
                        <div class="block">An Iterator over an array of Strings.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/SystemOutLogger.html"
                                            title="class in org.apache.poi.util">SystemOutLogger</a></td>
                    <td class="colLast">
                        <div class="block">A logger class that strives to make it as easy as possible for
                            developers to write log calls, while simultaneously making those
                            calls as cheap as possible by performing lazy evaluation of the log
                            message.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/TempFile.html"
                                            title="class in org.apache.poi.util">TempFile</a></td>
                    <td class="colLast">
                        <div class="block">Interface for creating temporary files.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/Units.html"
                                            title="class in org.apache.poi.util">Units</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/XMLHelper.html"
                                            title="class in org.apache.poi.util">XMLHelper</a></td>
                    <td class="colLast">
                        <div class="block">Helper methods for working with javax.xml classes.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/DocumentFormatException.html"
                                            title="class in org.apache.poi.util">DocumentFormatException</a></td>
                    <td class="colLast">
                        <div class="block">This is similar to <a
                                href="../../../../org/apache/poi/util/RecordFormatException.html"
                                title="class in org.apache.poi.util"><code>RecordFormatException</code></a>, except this
                            is thrown
                            when there's a higher order problem with parsing a document beyond individual records.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></td>
                    <td class="colLast">
                        <div class="block">Exception to handle buffer underruns</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/RecordFormatException.html"
                                            title="class in org.apache.poi.util">RecordFormatException</a></td>
                    <td class="colLast">
                        <div class="block">A common exception thrown by our binary format parsers
                            (especially HSSF and DDF), when they hit invalid
                            format or data when processing a record.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Annotation Types Summary table, listing annotation types, and an explanation">
                <caption><span>Annotation Types Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Annotation Type</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/Beta.html"
                                            title="annotation in org.apache.poi.util">Beta</a></td>
                    <td class="colLast">
                        <div class="block">Signifies that a public API (public class, method or field) is subject to
                            incompatible changes, or even removal, in a future release.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/Internal.html"
                                            title="annotation in org.apache.poi.util">Internal</a></td>
                    <td class="colLast">
                        <div class="block">Program elements annotated &#64;Internal are intended for
                            POI internal use only.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/NotImplemented.html"
                                            title="annotation in org.apache.poi.util">NotImplemented</a></td>
                    <td class="colLast">
                        <div class="block">This feature has not been implemented yet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/Removal.html"
                                            title="annotation in org.apache.poi.util">Removal</a></td>
                    <td class="colLast">
                        <div class="block">Program elements annotated &#64;Removal track the earliest final release
                            when a deprecated feature will be removed.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../org/apache/poi/util/SuppressForbidden.html"
                                            title="annotation in org.apache.poi.util">SuppressForbidden</a></td>
                    <td class="colLast">
                        <div class="block">Marking class for elements to be ignored by the forbidden apis check</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.util Description">Package org.apache.poi.util Description</h2>
    <div class="block">Top-level util package are classes that are useful throughout the project. These classes are
        generally generic enough to be useful in any project and should be contributed elsewhere!

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>
    </div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ss/util/cellwalk/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../org/apache/poi/wp/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/package-summary.html" target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
